From 0d0bae1e1e24410b9ead821c4450bb2b136ae325 Mon Sep 17 00:00:00 2001
From: diego <diego@b3059339-0415-0410-9bf9-f77b7e298cf2>
Date: Tue, 19 Jan 2010 18:53:16 +0000
Subject: Create libavutil/avconfig.h, required for FFmpeg compilation.

based on a patch by Etienne Buira, etienne.buira free fr


git-svn-id: svn://svn.mplayerhq.hu/mplayer/trunk@30376 b3059339-0415-0410-9bf9-f77b7e298cf2
---
diff --git a/configure b/configure
index 1feed88..85a3b7a 100755
--- a/configure
+++ b/configure
@@ -2432,10 +2432,12 @@ if test "$_big_endian" = yes ; then
   _byte_order='big-endian'
   def_words_endian='#define WORDS_BIGENDIAN 1'
   def_bigendian='#define HAVE_BIGENDIAN 1'
+  def_av_bigendian='#define AV_HAVE_BIGENDIAN 1'
 else
   _byte_order='little-endian'
   def_words_endian='#undef WORDS_BIGENDIAN'
   def_bigendian='#define HAVE_BIGENDIAN 0'
+  def_av_bigendian='#define AV_HAVE_BIGENDIAN 0'
 fi
 echores "$_byte_order"
 
@@ -9225,6 +9227,20 @@ EOF
 # Do not overwrite an unchanged config.h to avoid superfluous rebuilds.
 cmp -s "$TMPH" config.h || mv -f "$TMPH" config.h
 
+############################################################################
+
+# Create avconfig.h for FFmpeg.
+cat > "$TMPH" << EOF
+/* Generated by mpconfigure */
+#ifndef AVUTIL_AVCONFIG_H
+#define AVUTIL_AVCONFIG_H
+$def_av_bigendian
+#endif /* AVUTIL_AVCONFIG_H */
+EOF
+
+# Do not overwrite an unchanged avconfig.h to avoid superfluous rebuilds.
+cmp -s "$TMPH" libavutil/avconfig.h || mv -f "$TMPH" libavutil/avconfig.h
+
 #############################################################################
 
 cat << EOF
--
cgit v0.8.2.1-10-g45e7
